---
updatedAt: 2026-04-23T13:29:19.000Z
agentTools:
  projectIndex: https://developer.xentral.com/llms.txt
---

# List product texts

The different product descriptions in all available locales for each of the shops.

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "title": "Xentral API",
    "version": "v0.1",
    "description": "Xentral is an ERP platform.",
    "contact": {
      "name": "Xentral",
      "url": "https://xentral.com",
      "email": "api@xentral.com"
    }
  },
  "tags": [
    {
      "name": "Product",
      "description": "Product represents the services or things given company sells in the business."
    }
  ],
  "components": {
    "securitySchemes": {
      "BearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "description": "Bearer token obtained in POST /tokens endpoint or pregenerated in the system."
      }
    }
  },
  "security": [
    {
      "BearerAuth": []
    }
  ],
  "servers": [
    {
      "url": "https://{xentralId}.xentral.biz",
      "description": "Your Xentral Instance",
      "variables": {
        "xentralId": {
          "default": "xentral"
        }
      }
    },
    {
      "url": "https://{domain}",
      "description": "Xentral at a custom domain",
      "variables": {
        "domain": {
          "default": "xentral.com"
        }
      }
    }
  ],
  "x-readme": {
    "samples-languages": []
  },
  "paths": {
    "/api/v1/products/{id}/texts": {
      "get": {
        "tags": [
          "Product"
        ],
        "operationId": "product.listTexts",
        "summary": "List product texts",
        "description": "The different product descriptions in all available locales for each of the shops.",
        "parameters": [
          {
            "in": "path",
            "name": "id",
            "required": true,
            "description": "The resource's identifier.",
            "schema": {
              "type": "string",
              "pattern": "\\d+",
              "example": "17",
              "description": "Resource identifier."
            }
          },
          {
            "name": "filter",
            "in": "query",
            "style": "deepObject",
            "schema": {
              "type": "array",
              "items": {
                "type": "object",
                "additionalProperties": false,
                "properties": {
                  "key": {
                    "type": "string",
                    "enum": [
                      "language",
                      "shopId",
                      "isActive"
                    ]
                  },
                  "op": {
                    "type": "string",
                    "enum": [
                      "equals",
                      "notEquals",
                      "in",
                      "notIn",
                      "exactlyIn",
                      "allIn",
                      "allNotIn",
                      "contains",
                      "notContains",
                      "startsWith",
                      "endsWith",
                      "greaterThan",
                      "lessThan",
                      "is",
                      "lessThanOrEquals",
                      "greaterThanOrEquals"
                    ]
                  },
                  "value": {
                    "oneOf": [
                      {
                        "type": "string",
                        "description": "Used for the operations 'equals', 'notEquals', 'contains', 'notContains', 'startsWith', 'endsWith' and 'is'.",
                        "title": "String"
                      },
                      {
                        "type": "array",
                        "description": "Used for the operations 'in', 'notIn', 'exactlyIn', 'allIn' and 'allNotIn'.",
                        "title": "Array",
                        "items": {
                          "type": "string"
                        }
                      }
                    ]
                  }
                }
              }
            }
          },
          {
            "name": "order",
            "in": "query",
            "style": "deepObject",
            "schema": {
              "type": "array",
              "items": {
                "type": "object",
                "additionalProperties": false,
                "properties": {
                  "field": {
                    "type": "string",
                    "enum": [
                      "id",
                      "shopId",
                      "language"
                    ]
                  },
                  "dir": {
                    "type": "string",
                    "enum": [
                      "asc",
                      "desc"
                    ]
                  }
                }
              }
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Operation completed successfully.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "additionalProperties": false,
                  "properties": {
                    "data": {
                      "type": "array",
                      "items": {
                        "description": "Presentation of a Product identified by a particular ID type",
                        "type": "object",
                        "additionalProperties": false,
                        "properties": {
                          "id": {
                            "type": "integer",
                            "description": "Unique identifier of the text",
                            "example": 1
                          },
                          "name": {
                            "type": "string",
                            "nullable": true,
                            "description": "name of the text",
                            "example": "test"
                          },
                          "shortDescription": {
                            "type": "string",
                            "nullable": true,
                            "description": "shortDescription of the text",
                            "example": "shortDescription"
                          },
                          "description": {
                            "type": "string",
                            "nullable": true,
                            "description": "description of the text",
                            "example": "description"
                          },
                          "shopDescription": {
                            "type": "string",
                            "nullable": true,
                            "description": "shopDescription of the text",
                            "example": "shopDescription"
                          },
                          "metaTitle": {
                            "type": "string",
                            "nullable": true,
                            "description": "metaTitle of the text",
                            "example": "metaTitle"
                          },
                          "metaDescription": {
                            "type": "string",
                            "nullable": true,
                            "description": "metaDescription of the text",
                            "example": "metaDescription"
                          },
                          "metaKeywords": {
                            "type": "string",
                            "nullable": true,
                            "description": "metaKeywords of the text",
                            "example": "metaKeywords"
                          },
                          "inCatalog": {
                            "type": "boolean",
                            "description": "inCatalog of the text",
                            "example": true
                          },
                          "catalogName": {
                            "type": "string",
                            "nullable": true,
                            "description": "catalogName of the text",
                            "example": "catalogName"
                          },
                          "catalogText": {
                            "type": "string",
                            "nullable": true,
                            "description": "catalogText of the text",
                            "example": "catalogText"
                          },
                          "isActive": {
                            "type": "boolean",
                            "nullable": true,
                            "description": "isActive of the text",
                            "example": false
                          },
                          "product": {
                            "type": "object",
                            "additionalProperties": false,
                            "description": "Details about the product",
                            "properties": {
                              "id": {
                                "type": "number",
                                "description": "product of the id",
                                "example": 1
                              }
                            },
                            "example": {
                              "id": 1
                            }
                          },
                          "shop": {
                            "type": "object",
                            "additionalProperties": false,
                            "description": "Details about the shop",
                            "properties": {
                              "id": {
                                "type": "number",
                                "description": "shop of the id",
                                "example": 1
                              }
                            },
                            "example": {
                              "id": 1
                            }
                          },
                          "language": {
                            "type": "object",
                            "additionalProperties": false,
                            "description": "Language details",
                            "properties": {
                              "iso2": {
                                "type": "string",
                                "description": "shop of the id",
                                "example": "DE"
                              }
                            },
                            "example": {
                              "iso2": "DE"
                            }
                          }
                        }
                      }
                    },
                    "extra": {
                      "type": "object",
                      "required": [
                        "totalCount",
                        "page"
                      ],
                      "additionalProperties": false,
                      "x-description-ignore": true,
                      "properties": {
                        "totalCount": {
                          "description": "the total count of all items",
                          "type": "integer",
                          "example": 1
                        },
                        "page": {
                          "description": "The pagination object containing the current page number and size",
                          "type": "object",
                          "required": [
                            "number",
                            "size"
                          ],
                          "additionalProperties": false,
                          "properties": {
                            "number": {
                              "description": "The current page number",
                              "type": "integer",
                              "example": 1
                            },
                            "size": {
                              "description": "The size of the pages",
                              "type": "integer",
                              "example": 10
                            }
                          },
                          "example": {
                            "number": 1,
                            "size": 10
                          }
                        }
                      },
                      "example": {
                        "totalCount": 1,
                        "page": {
                          "number": 1,
                          "size": 10
                        }
                      }
                    }
                  }
                },
                "examples": {
                  "ProductTextExample": {
                    "value": {
                      "data": [
                        {
                          "id": 1001,
                          "name": "test",
                          "shortDescription": "short",
                          "description": "desc",
                          "shopDescription": "shop",
                          "metaTitle": "title",
                          "metaDescription": "metadec",
                          "metaKeywords": "keywords",
                          "inCatalog": false,
                          "catalogName": "catName",
                          "catalogText": "text",
                          "product": {
                            "id": 101
                          },
                          "shop": {
                            "id": 1
                          },
                          "isActive": false,
                          "language": {
                            "iso2": "DE"
                          }
                        }
                      ],
                      "extra": {
                        "totalCount": 1,
                        "page": {
                          "number": 1,
                          "size": 10
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "IETF RFC 9457 Problem API compliant response",
            "content": {
              "application/problem+json": {
                "schema": {
                  "oneOf": [
                    {
                      "type": "object",
                      "additionalProperties": false,
                      "required": [
                        "type",
                        "title",
                        "violations"
                      ],
                      "properties": {
                        "type": {
                          "type": "string",
                          "enum": [
                            "https://api.xentral.biz/problems/request-validation"
                          ]
                        },
                        "title": {
                          "type": "string",
                          "minLength": 1,
                          "example": "Request payload validation failed."
                        },
                        "violations": {
                          "oneOf": [
                            {
                              "type": "array",
                              "items": {
                                "type": "object",
                                "example": {
                                  "username": [
                                    "This value should not be blank."
                                  ],
                                  "email": [
                                    "This value is not a valid email address."
                                  ]
                                }
                              },
                              "description": "This field will be a mirrored request payload with only invalid fields and values replaced by error messages."
                            },
                            {
                              "type": "object",
                              "example": {
                                "_": [
                                  "This value should contain at most `9` elements."
                                ]
                              },
                              "description": "This field will be a mirrored request payload with only invalid fields and values replaced by error messages."
                            }
                          ]
                        }
                      }
                    },
                    {
                      "type": "object",
                      "additionalProperties": false,
                      "required": [
                        "type",
                        "title",
                        "messages"
                      ],
                      "properties": {
                        "type": {
                          "type": "string",
                          "enum": [
                            "https://api.xentral.biz/problems/generic-validation"
                          ]
                        },
                        "title": {
                          "type": "string",
                          "minLength": 1
                        },
                        "messages": {
                          "type": "array",
                          "items": {
                            "type": "string"
                          }
                        }
                      }
                    },
                    {
                      "type": "object",
                      "additionalProperties": false,
                      "required": [
                        "type",
                        "title",
                        "messages"
                      ],
                      "properties": {
                        "type": {
                          "type": "string",
                          "enum": [
                            "https://api.xentral.biz/problems/conflict"
                          ]
                        },
                        "title": {
                          "type": "string",
                          "minLength": 1
                        },
                        "messages": {
                          "type": "array",
                          "items": {
                            "type": "string"
                          }
                        }
                      }
                    },
                    {
                      "type": "object",
                      "additionalProperties": false,
                      "required": [
                        "type",
                        "title",
                        "items"
                      ],
                      "properties": {
                        "type": {
                          "type": "string",
                          "enum": [
                            "https://api.xentral.biz/problems/conflictItems"
                          ]
                        },
                        "title": {
                          "type": "string",
                          "minLength": 1
                        },
                        "items": {
                          "type": "array",
                          "items": {
                            "type": "object",
                            "additionalProperties": false,
                            "required": [
                              "id",
                              "title",
                              "messages"
                            ],
                            "properties": {
                              "id": {
                                "type": "integer"
                              },
                              "title": {
                                "type": "string",
                                "minLength": 1
                              },
                              "messages": {
                                "type": "array",
                                "items": {
                                  "type": "string"
                                }
                              }
                            }
                          }
                        }
                      }
                    },
                    {
                      "type": "object",
                      "additionalProperties": false,
                      "required": [
                        "type",
                        "title",
                        "scopes"
                      ],
                      "properties": {
                        "type": {
                          "type": "string",
                          "enum": [
                            "https://developer.xentral.com/reference/problems#token-scopes"
                          ]
                        },
                        "title": {
                          "type": "string",
                          "minLength": 1
                        },
                        "scopes": {
                          "type": "array",
                          "items": {
                            "type": "string"
                          }
                        }
                      }
                    },
                    {
                      "type": "object",
                      "additionalProperties": false,
                      "required": [
                        "type",
                        "title",
                        "messages"
                      ],
                      "properties": {
                        "type": {
                          "type": "string",
                          "enum": [
                            "https://api.xentral.biz/problems/generic-validation"
                          ]
                        },
                        "title": {
                          "type": "string",
                          "minLength": 1
                        },
                        "messages": {
                          "type": "object",
                          "additionalProperties": {
                            "type": "array",
                            "items": {
                              "type": "string"
                            }
                          }
                        }
                      }
                    }
                  ]
                }
              }
            }
          },
          "401": {
            "description": "Unable to authenticate the client",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "message": {
                      "type": "string",
                      "description": "Error message explaining why the request failed.",
                      "example": "Missing required scopes: customer:create."
                    }
                  }
                },
                "example": {
                  "message": "Missing required scopes: customer:create."
                }
              },
              "text/html": {
                "schema": {
                  "type": "string",
                  "example": "Unauthorized"
                }
              }
            }
          },
          "403": {
            "description": "Unable to authorize the client"
          },
          "404": {
            "description": "Resource was not found or not enough access privileges"
          },
          "406": {
            "description": "Requested resource representation does not exist."
          },
          "429": {
            "description": "Too many API calls made."
          }
        }
      }
    }
  }
}
```